﻿<div ng-controller="historicalPlacesController">
    <div id="page-heading">
        <ol ng-hide="false" class="breadcrumb">
            <li><a href="#/">{{transaction.Dashboard}}</a></li>
            <li class="active">{{transaction.HistoricalPlaces}}</li>
        </ol>

    

    </div>

    <div class="panel-loading" ng-show="isDataLoading">
        <div class="panel-loader-dots"></div>
    </div>
    <div class="container-fluid" ng-hide="isDataLoading">
        <div class="row">

            <div class="col-md-12">
                <div class="panel panel-midnightblue ">

                    <div class="panel-body">
                        <div class="row">
                            <div class="col-md-6 col-xs-12">
                                <h2>{{transaction.HistoricalPlaces}}</h2>
                            </div>
                            <div class="col-md-6 col-xs-12">
                                <div class="pull-right" style="padding:0;">
                                    <button class="btn btn-info" ng-click="showseach(isSearch)">
                                        <i class="fa fa-search"></i>
                                        {{transaction.Search}}
                                    </button>
                                    <a ng-if="permissions.HistoricPlaceAdd" class="btn btn-success" href="#/managehistoricalPlaces">
                                        <i class="fa fa-plus"></i>
                                        {{transaction.AddNew}}
                                    </a>

                                </div>
                            </div>
                        </div>

                        <div ng-show="isSearch">
                            <div class="block-bg">
                                <div class="row">



                                    <div class="col-xs-4 col-md-4">
                                        <div class="form-group">
                                            <label class="control-label">{{transaction.Country}} </label>
                                            <!--ng-options="country.name for country in countries track by country.id" ng-model="model.countryId"-->
                                            <select name="countryId"
                                                    class="form-control" ng-change="onCountryChange(model.countryId)" ng-model="model.countryId">
                                                <option ng-selected="true" value="">{{transaction.ChooseCountry}}</option>
                                                <option ng-repeat="country in countries" value="{{country.id}}">{{country.name}}</option>-->

                                            </select>
                                        </div>
                                    </div>

                                    <div class="col-xs-4 col-md-4">
                                        <div class="form-group">
                                            <label class="control-label">{{transaction.City}} </label>
                                            <select ng-model="model.cityId"
                                                    name="cityId" ng-disabled="disabledCityDrp"
                                                    class="form-control" ng-change="onCityChange(model.cityId)">
                                                <option ng-selected="true" value="">{{transaction.ChooseCity}}</option>
                                                <option ng-repeat="city in cities" value="{{city.id}}">{{city.name}}</option>


                                            </select>
                                        </div>
                                    </div>

                                    <div class="col-xs-4 col-md-4">
                                        <div class="form-group">
                                            <label class="control-label">{{transaction.Municipality}} </label>
                                            <!--ng-options="municipality.arabicName for municipality in Municipalities track by municipality.id"-->

                                            <select ng-model="model.municipalityId"
                                                    name="municipalityId"
                                                    class="form-control" ng-disabled="disabledMunicipalityDrp">

                                                <option ng-repeat="municipality in Municipalities" value="{{municipality.id}}">{{municipality.arabicName}}</option>

                                                <option ng-selected="true" value="">{{transaction.ChooseMunicipality}}</option>
                                            </select>
                                        </div>
                                    </div>


                                    <div class="col-xs-12">
                                        <div class="pull-right">
                                            <button class="btn btn-primary" ng-click="ContactUsSearch()">{{transaction.Search}}</button>
                                            <button class="btn btn-default" ng-click="cancelSearch()">{{transaction.Cancel}}</button>
                                        </div>
                                    </div>
                                </div>

                            </div>
                            <br />
                        </div>

                        <table class="table">
                            <thead>
                                <tr>
                                    <td>#</td>
                                    <th>
                                      الصورة
                                    </th>
                                    <th ng-click="sort('name')" style="cursor: pointer">
                                        <span ng-show="sortKey == 'name'" ng-class="!sortReverse ? 'fa fa-caret-down' : 'fa fa-caret-up'"></span>
                                       الأسم
                                    </th>

                                    <th ng-click="sort('category')" style="cursor: pointer">
                                        <span ng-show="sortKey == 'category'" ng-class="!sortReverse ? 'fa fa-caret-down' : 'fa fa-caret-up'"></span>
                               
                                        التصنيف الفرعي
                           
                                    </th>
                                    <th ng-click="sort('rating')" style="cursor: pointer">
                                        <span ng-show="sortKey == 'rating'" ng-class="!sortReverse ? 'fa fa-caret-down' : 'fa fa-caret-up'"></span>
                                        {{transaction.rating}}
                                    </th>
                                    <th ng-click="sort('allHit')" style="cursor: pointer">
                                        <span ng-show="sortKey == 'allHit'" ng-class="!sortReverse ? 'fa fa-caret-down' : 'fa fa-caret-up'"></span>
                                        {{transaction.allHit}}
                                    </th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr ng-repeat="item in data | orderBy:sortKey:sortReverse track by $index">
                                    <td>{{$index+1}}</td>
                                    <td>

                                        <img ng-src="{{imagesFolderUri}}{{item.imageUrl}}"
                                             class="img-circle" width="70" height="70"
                                             onerror="this.src = '../../../../default_no_images.png';" />


                                    </td>
                                    <td>
                                        {{item.name}}
                                    </td>
                                    <td>
                                        {{item.category}}
                                    </td>
                                    <td>
                                        {{item.rating}}
                                    </td>
                                    <td>
                                        {{item.allHit}}
                                    </td>
                                    <td>
                                        <a ng-if="permissions.HistoricPlaceEditByCreator || permissions.HistoricPlaceEditAny" class="btn btn-primary " ng-href="#/managehistoricalPlaces?id={{item.id}}" title="{{transaction.Edit}}"> <i class="fa fa-edit"></i></a>
                                        <button ng-if="permissions.HistoricPlaceDeleteByCreator || permissions.HistoricPlaceDeleteAny" class="btn btn-danger " ng-click="openConfirm(item.id,$index)" title="{{transaction.Delete}}">
                                            <i class="fa fa-trash"></i>
                                        </button>
                                    </td>
                                </tr>
                                <tr ng-if="data.length==0">
                                    <td colspan="3">
                                        <div class="search-result" ng-hide="LoadNotificationData.length > 0">
                                            <div class="member">
                                                <div class="row" ng-hide="isDataLoading">
                                                    <div class="col-xs-12 col-md-9">
                                                        <p>{{transaction.NoResult}}</p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>

                        <div ng-if="totalData>10">
                            <div class="col-md-10 col-xs-12">
                                <pagination total-items="totalData" ng-model="currentPage" previous-text="السابق" next-text="التالى" ng-change="pageChanged(currentPage,pageSize)" boundary-link-numbers="true" max-size="10" items-per-page="pageSize"></pagination>
                            </div>
                            <div class="col-md-2 col-xs-12">
                                <select class="form-control" ng-model="pageSize" ng-change="pageChanged(currentPage,pageSize)">
                                    <option ng-repeat="item in showResult" value="{{item}}">{{item}}</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>
